# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliveryListShared Class Reference

Process Shared listing
.

`#include <WOKDeliv_DeliveryListShared.hxx>`

Inheritance diagram for WOKDeliv_DeliveryListShared:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DeliveryListShared (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliveryListShared::WOKDeliv_DeliveryListShared | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT void WOKDeliv_DeliveryListShared::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKDeliv_DeliveryStepList.

Standard_EXPORT const WOKDeliv_DeliveryListShared::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryStepList.

The documentation for this class was generated from the following file:

- WOKDeliv_DeliveryListShared.hxx